#ifndef MAP_DATA_H
#define MAP_DATA_H

#include "map.h"

struct _terain_properties terrain_properties[] = {
    { MOUNTAIN,  "Mountains",     10,    5,   -10,  1, 1, "data/graphics/terrain/mountain.bmp" },
    { HILL,      "Hills",          5,    3,    -5,  1, 1, "data/graphics/terrain/hill.bmp" },
    { PLAIN,     "Plains",         0,    0,    15,  1, 1, "data/graphics/terrain/plain.bmp" },
    { SAND,      "Sand",           5,    5,    20,  1, 1, "data/graphics/terrain/sand.bmp" },
    { ROUGH,     "Rough Terrain",  5,    5,    10,  1, 1, "data/graphics/terrain/rough.bmp" },
    { ROAD,      NULL,             0,    0,    30,  1, 1, "data/graphics/terrain/road.bmp" },
    { RIVER,     "River",         -5,  -10,   -20,  0, 1, "data/graphics/terrain/river.bmp" },
    { LAKE,      "Lake",         -10,  -10,   -20,  0, 1, "data/graphics/terrain/lake.bmp" },
    { BUILDING,  NULL,             0,    0,     0,  0, 0, "data/graphics/terrain/rough.bmp" },
    { -1,        NULL,             0,    0,     0,  0, 0, NULL } 
};

struct _resource_properties  resource_properties[] = {
    { URANIUM,   "Uranium",    10,  100,  10,   0,   0,   0,  1,  1 },
    { IRON,      "Iron",        1,    0,  80,   0,   0,  20,  1,  1 },
    { WOOD,      "Wood",        1,    0,   0,  90,   0,  10,  1,  1 },
    { STONE,     "Stone",       1,    0,   0,   0,  80,  20,  1,  1 },
    { COMPOSITE, "Composite",  20,   30,  20,  20,  30,   0,  5,  2 },
    {  -1,        NULL,         0,    0,   0,   0,   0,   0,  0,  0 }
};

struct _structure_properties structure_properties[] = {
    { BARRACKS,        "Infantry Barracks",              2,   2,   0,   20,   1000,  1, "data/graphics/buildings/barracks.bmp" },
    { FACTORY,         "Vehicle Factory",                3,   3,   0,   50,   1500,  1, "data/graphics/buildings/factory.bmp" },
    { BASE,            "Command Center",                 2,   2,   50,   0,   3000,  1, "data/graphics/buildings/base.bmp"  },
    { POWERPLANT,      "A Nuclear Power Plant",          2,   2,   100,  0,   1000,  0, "data/graphics/buildings/powerplant.bmp" },
    { RESOURCE_CENTER, "Advanced Resource Conversion",   2,   2,   0,   20,   1000,  1, "data/graphics/buildings/resourcecenter.bmp" },
    { -1,              NULL,                             0,   0,   0,    0,      0,  0, NULL }
};

struct _entity_properties entity_properties[] = {
    { INFANTRY,  DIRECT,    "Infantry Squad",     1,   1,  100,   20,   20,   0,     0,     0 },    
    { TANK,      BALLISTIC, "Assault Tank",       1,   1,  500,   100,  300,  0,     0,     0 },    
    { HARVESTER, NOFIRE,    "Resource Harvester", 1,   1,  1000,  0,    0,    1000,  2000,  1 },    
    { -1,        -1,        NULL,                 0,   0,  0,     0,    0,    0,     0,     0 }
};

#endif
